### Function Macro

# GLib assert_not_reached

since: 2.0

#### Declaration

    #define g_assert_not_reached (
      void
    )

#### Description

Debugging macro to terminate the application if it is ever reached. If it is reached, an error message is logged and the application is terminated.

The macro can be turned off in final releases of code by defining `G_DISABLE_ASSERT` when compiling the application. Hence, it should not be used in unit tests, where assertions should always be effective.

Available since: 2.0

This function is not directly available to language bindings.